La soluzione facile e flessibile per gestire le reti da remoto

La Software Management Policy segnala 7-Zip not compliant

AC2020120401

Ultimo aggiornamento: 04 December 2020

Software Management Policy: troubleshooting sui software not compliant

8.9.0.2231

Può capitare che, nonostante le versioni di 7-Zip installate sulle macchine siano le ultime disponibili, la policy di Software Management indichi 7-Zip not compliant come nella schermata di seguito, in cui la versione installata risulta la 18.05 e l’ultima versione disponibile risulta 18.05.00

Questo può succedere perchè l’installazione del software, se fatta originariamente tramite EXE, va a scrivere il numero di versione col formato XX.XX, mentre l’installazione tramite MSI (usata dai component del ComStore e dalla Policy) scrive il numero nel formato XX.XX.XX.X. I due valori messi a confronti quindi non combaceranno mai per Datto RMM.

Per ovviare al problema occorre fare pulizia sulle macchine di tutte le versioni di 7-Zip installate. Per farlo ci si può servire del component Uninstall 7-Zip [WIN] disponibile in ComStore. Dopodichè si potrà lasciare che la policy di Software Management, al prossimo giro, installi la versione corretta, oppure procedere con l’installazione tramite job usando il component 7-Zip [WIN], anche lui disponibile in ComStore.

Nel caso il problema persista contattare il supporto Achab.

New call-to-action